ONVIF::PTZ::Types::EventCapabilities(3)

NAME
ONVIF::PTZ::Types::EventCapabilities

DESCRIPTION
Perl data type class for the XML Schema defined complexType EventCapabilities from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   XAddr

•   WSSubscriptionPolicySupport

•   WSPullPointSupport

•   WSPausableSubscriptionManagerInterfaceSupport

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::EventCapabilities
   XAddr =>  $some_value, # anyURI
   WSSubscriptionPolicySupport =>  $some_value, # boolean
   WSPullPointSupport =>  $some_value, # boolean
   WSPausableSubscriptionManagerInterfaceSupport =>  $some_value, # boolean
 },

AUTHOR
Generated by SOAP::WSDL